input.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <unistd.h>`
`#include <fcntl.h>`
`#include <sys/stat.h>`
`#include <sys/types.h>`
`#include <linux/input.h>`
`#include "hd.h"`
`#include "hd_int.h"`
`#include "hddb.h"`
`#include "input.h"`

## Macros

#define | INP_NAME "N: Name="
#define | INP_HANDLERS "H: Handlers="
#define | INP_KEY "B: KEY="
#define | INP_REL "B: REL="
#define | INP_ABS "B: ABS="

## Functions

static void | get_input_devices (hd_data_t *hd_data)
static char * | all_bits (char *str)
static int | test_bit (const char *str, unsigned bit)
void | hd_scan_input (hd_data_t *hd_data)
void | add_joystick_details (hd_data_t *hd_data, hd_t *h, const char *key, const char *abso)